Introduction

Using the WinFormM Utility you can

  • fill information electronically into existing Forms in various image formats,
  • and printout the filled in Form or save them for subsequent processing.
  • as well as gather various image-files and store them into one single TIFF-file

Forms are contained in various image formats. WinFormM is able to read and display various image formats, which can be filled in by WinFormM.

If a Form is existent as paper, then you are able to scan it via WinFormM and save it into various image formats. Then you can fill in information via WinFormM.

After filling the Form, you can print it or save it in the prepared-for-printing kind.

WinFormM can also be used to gather various images into one file. The TIFF-file format allows several frames in it, each consisting of one image. WinFormM has a thumbnail-view of images, which can be used to select individual images for storing a TIFF-file format as Black-and-White or Color-Images.

This short introduction describes the functional range of WinFormM to enable your efficient usage of this application.

Next topic

  • the program surface
up up


Main Window

The WinFormM Main Window consists of four elements. Contained in this Main Window are:

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Statusbar

    Main Window

    WinFormM has two application windows:

  • the Window for displaying and for filling the Form,
      containing the two subordinate windows:
    • the Window for displaying the Form on the right side
    • the Window for displaying and entering Information for filling the Form on the left side

    Application window 1

  • the Window for displaying images in the Thumbnail-View

    Application window 2

    • Next topics

    • the Titlebar
    • the Menuebar
    • the Toolbars
    • the Window for displaying the Form
    • the Window for displaying and entering Information for filling the Form
    • the Window for displaying images in the Thumbnail-View
    • the Statusbar


Titlebar

The Titlebar contains the name of the file opened in the active window. On the ride side there are the Standard- Windows-Buttons for Minimizing, Maximizing and Closing the application.

The Minimize-Button is working different than in other Windows-Applications. Pressing the "Minimize" Button does not minimize the application into the Windows-Taskbar, it removes the application from the Windows-Taskbar and adds a new Icon into the System-Tray. It can be used to restore the application by a double-click, and it displays a context-menue by a right-click,

which allows the restore of the application or the termination of the application. If the application is restored, the Icon remains in the System-Tray. Then a new Icon is then not added to the System-Tray, if the application is again minimized.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Menuebar

The Menuebar contains the active functions of the window. On the ride side there are the Standard- Windows-Buttons for Minimizing, Maximizing und Closing of the application-window.

The Menuebar together with the Toolbar contain all available functions of the application-window.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Toolbar

The Toolbars contain functions of the active application window.

The Menuebar together with the Toolbar contain all available functions of the application-window.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Form Window

The Form Window is the Window for displaying the Form, which is contained in the opened File.

The Form is a file containing an image format, which can be read and displayed by WinFormM. Image formats currently supported are:

  • Bitmap-Files (file extensions .BMP or .DIB or .RLE)
  • TIFF-Files (file extensions .TIF or .TIFF)
  • JPEG-Files (file extensions .JPG or .JPEG or .JPE or .JFIF)
  • PNG-Files (file extensions .PNG)
  • GIF-Files (file extensions .GIF)
  • Paintbrush-Files (file extension .PCX)
  • Adobe Pdf Files (file extensions .PDF)

Image formats "Paintbrush" and "Adobe Pdf" are supported due to their popular usage. They can be read and displayed only, but not changed and not saved.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Form Window Ruler

The left and top side of the form window contain a ruler, which shows the size of the form in various size units.

Form Window Ruler

Pressing the right mouse button within the ruler displays a context menue for selecting the display units of the ruler.


Form Window Selecting

An area in the form window can be selected for further processing by pressing the left mouse button within the form window and drawing an area while the left mouse button is pressed.

Form Window Selecting

After selecting an area in the form window the menu items 'Cut', 'Copy' and 'Clip' will be activated for further processing.


Informationen for filling the form

The window contains information for displaying and entering the information, which is clipped over the Form and will be printed over the Form.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Add information

The window contains information for displaying and entering the information, which is clipped over the Form and will be printed over the Form.

While opening an existing form the name of the description-file is added to the button 'Open Description'

If the description-file does not exist, the default-information is created and displayed, if this file is opened with the 'Open Description' button.

If the description-file already exists, the description-file is opened and the contents is displayed.

After scanning a form this description-file is created with default-information and is displayed.


Filling the form

Selecting a Tree-Node and pressing the right mouse-button displays a context-menue, which contains all available and active functions for this node.

Selecting a Tree-Node and pressing the 'Insert' Key displays a context-menue, which contains all active functions for this node.

In the main node the function 'Insert' is active for inserting subordinate nodes. Functions 'Delete' and 'Change' are not active for this node.

For this node header-information 'Comment', 'File', 'Default' and 'Print' can be inserted as well as 'Line', 'Rectangle', 'Circle', 'Image' and 'Text' can be inserted.

Function 'Delete' is active on subordinate nodes, selecting the 'Delete' function is used to remove the complete node. 'Delete' removes the complete node if it is selected and then the 'Del' button is pressed.

Function 'Change' is active for nodes, which contain a positioning-value, e.g. for nodes 'Top', 'Left', 'Right' and 'Bottom'.

Related Topics

  • Comment
  • File
  • Default
  • Width
  • Color
  • Font
  • Print
  • Line
  • Rectangle
  • Circle
  • Image
  • Text


Adding a Comment

A comment my be added for easier identification of the file.

After adding the 'Comment' node the comment text is selected by a double-click on the existing text. A textbox is opened and can be used to specify the comment text.

Related Topics

  • Comment
  • File
  • Default
  • Width
  • Color
  • Font
  • Print
  • Line
  • Rectangle
  • Circle
  • Image
  • Text


Adding a File

A file-node is added to the description-file for identifying the image-file to be opened immediately after the DESC-file is opened by double-clicking it (refer to Program Options Assignment).

After adding the 'File' node the file-name is selected by the 'file open'-dialog.

An existing 'File' node is opened by a double-click on the file-name. The 'file open'-dialog is opened and may be used for selecting the file-name.

Related Topics

  • Comment
  • File
  • Default
  • Width
  • Color
  • Font
  • Print
  • Line
  • Rectangle
  • Circle
  • Image
  • Text


Default values

A 'Default' node is added to the description-file for using default-values to draw and paint the description nodes.

The 'Default' node contains the 'Width' of a pen, the 'Color' of a pen and the 'Font' to be used for text.

Related Topics

  • Comment
  • File
  • Default
  • Width
  • Color
  • Font
  • Print
  • Line
  • Rectangle
  • Circle
  • Image
  • Text


Width

An existing 'Width' node is opened by a double-click on the width. A numeric up/down box is opened and may be used for selecting the width.

Related Topics

  • Comment
  • File
  • Default
  • Width
  • Color
  • Font
  • Print
  • Line
  • Rectangle
  • Circle
  • Image
  • Text


Color

An existing 'Color' node is opened by a double-click on the color. A dialog is opened and may be used for selecting the color.

Related Topics

  • Comment
  • File
  • Default
  • Width
  • Color
  • Font
  • Print
  • Line
  • Rectangle
  • Circle
  • Image
  • Text


Font

An existing 'Font' node can be opened by a double-click on the node 'Font'. This opens the standard-dialog for selecting a font. The selected attributes 'Name', 'Size' and 'Style' will be transferred into the 'Font' node.

In a 'Font' node the 'Name' node can be selected by a double-click on the name of the font. The selected 'Name' will be transferred into the 'Font' node.

In a 'Font' node the 'Size' node can be selected by a double-click on the size of the font. A numeric up/down box is opened and may be used for selecting the size.

In a 'Font' node the 'Style' node can be selected by a double-click on the style of the font. A combobox is opened and may be used for selecting the style of the font. In the combobox several entries can be selected, such as 'Italic' and 'Bold'.

Related Topics

  • Comment
  • File
  • Default
  • Width
  • Color
  • Font
  • Print
  • Line
  • Rectangle
  • Circle
  • Image
  • Text


Print values

A 'Print' node is added to the description-file for using print-values.

The 'Print' node may contain the 'PreviewBorders', the 'Zoom' and the 'Position' node.

An existing 'PreviewBorders' node is opened by a double-click on the value. A combobox is opened and may be used for selecting the value.

'PreviewBorders=Yes' means, that the print-borders (page margins) of the print setup values will be marked. 'PreviewBorders=No' means, that no special marks are printed on the print-borders.

An existing 'Zoom' node is opened by a double-click on the value. A combobox is opened and may be used for selecting the value.

'Zoom=Yes' means, that the image is adjusted to the printable area as much as possible. 'Zoom=No' means, that the original image-size will be used during printing.

An existing 'Position' node can be opened by a double-click on the value.A combobox is opened and may be used for selecting the value.

'Position' has a meaning only in the case of 'Zoom=No' and the image is not large enough to fill the printing-area. In this case it can be positioned in a special position during printing.

Related Topics

  • Comment
  • File
  • Default
  • Width
  • Color
  • Font
  • Print
  • Line
  • Rectangle
  • Circle
  • Image
  • Text


Adding a Line

A 'Line'-node is added to the description-file to draw a line.

The 'Line' node has parameters 'Left', 'Top', 'Right', 'Bottom' and 'Pen'.

Parameter 'Left', 'Top', 'Right' and 'Bottom' are positioning values to describe the positioning of the line.

'Pen' contains with the 'Brush' parameter the color of the outer boundary line, with 'Thickness' the width of the line, and with 'DashCap', 'DashStyle', 'StartLineCap', 'EndLineCap', 'LineJoin' and 'MiterLimit' options for painting the line.

If parameters 'Color' and 'Width' are contained in the 'Defaults' node, then no specifications are required here for 'Brush' and 'Thickness', the specifications from the 'Defaults' node are used instead.

Related Topics

  • Comment
  • File
  • Default
  • Width
  • Color
  • Font
  • Print
  • Line
  • Rectangle
  • Circle
  • Image
  • Text


Adding a Rectangle

A 'Rectangle'-node is added to the description-file to draw a rectangle.

The 'Rectangle' node has parameters 'Left', 'Top', 'Right', 'Bottom', 'Pen' and 'Fill'.

Parameter 'Left', 'Top', 'Right' and 'Bottom' are positioning values to describe the positioning of the rectangle.

'Pen' contains with the 'Brush' parameter the color of the outer boundary line, with 'Thickness' the width of the line, and with 'DashCap', 'DashStyle', 'StartLineCap', 'EndLineCap', 'LineJoin' and 'MiterLimit' options for painting the line.

If parameters 'Color' and 'Width' are contained in the 'Defaults' node, then no specifications are required here for 'Brush' and 'Thickness', the specifications from the 'Defaults' node are used instead.

'Fill' specifies the filling of the rectangle. 'ForeGround' specifies the color for painting the foreground, 'BackGround' specifies the color for painting the background, 'FillStyle' specifies the kind of filling the rectangle.

Related Topics

  • Comment
  • File
  • Default
  • Width
  • Color
  • Font
  • Print
  • Line
  • Rectangle
  • Circle
  • Image
  • Text


Adding a Circle

A 'Circle'-nodes is added to the description-file to draw a circle or ellipsis.

The 'Circle' node has parameters 'Left', 'Top', 'Right', 'Bottom', 'Pen' and 'Fill'.

Parameter 'Left', 'Top', 'Right' and 'Bottom' are positioning values to describe the surrounding rectangle of the circle or ellipsis.

'Pen' contains with the 'Brush' parameter the color of the outer boundary line, with 'Thickness' the width of the line, and with 'DashCap', 'DashStyle', 'StartLineCap', 'EndLineCap', 'LineJoin' and 'MiterLimit' options for painting the line.

If parameters 'Color' and 'Width' are contained in the 'Defaults' node, then no specifications are required here for 'Brush' and 'Thickness', the specifications from the 'Defaults' node are used instead.

'Fill' specifies the filling of the circle or ellipsis. 'ForeGround' specifies the color for painting the foreground, 'BackGround' specifies the color for painting the background, 'FillStyle' specifies the kind of filling the circle or ellipsis.

Related Topics

  • Comment
  • File
  • Default
  • Width
  • Color
  • Font
  • Print
  • Line
  • Rectangle
  • Circle
  • Image
  • Text


Adding an Image

An 'Image'-node is added to the description-file to draw an image.

The 'Image' node has parameters 'Left', 'Top', 'Right', 'Bottom', 'Pen' and 'Fill'.

Parameter 'Left', 'Top', 'Right' and 'Bottom' are positioning values to describe the surrounding rectangle of the image.

'Picture' specifies the filename of the image, which is drawn at the position. If there are specifications for the 'Right' and 'Bottom' nodes, the image is painted on that position stretched to completely fill the position.

Related Topics

  • Comment
  • File
  • Default
  • Width
  • Color
  • Font
  • Print
  • Line
  • Rectangle
  • Circle
  • Image
  • Text


Adding Text

A 'Text'-node is added to the description-file to draw a text.

The 'Text' node has parameters 'Left', 'Top', 'Right', 'Bottom', 'Color', 'Font' and 'Description'.

Parameter 'Left', 'Top', 'Right' and 'Bottom' are positioning values to describe the positioning of the surrounding rectangle.

'Description' specifies the Text to be painted at the specified position. After adding the 'Description' node the text can be selected by a double-click on the existing text. A textbox is opened and can be used for entering the text.

If the nodes 'Right' and 'Bottom' exist, the text is possibly wrapped before drawn into the specified position.

'Color' specifies the color for painting the text, 'Font' specifies the font for painting the text.

If the 'Defaults' node contains the 'Color' and 'Font' node, then they need not specified here. Values are then taken from the 'Defaults' node.

Related Topics

  • Comment
  • File
  • Default
  • Width
  • Color
  • Font
  • Print
  • Line
  • Rectangle
  • Circle
  • Image
  • Text


Formularfenster

Hilfe

Thumbnail Window

The Thumbnail Window contains the images in the Thumbnail View.

The Thumbnail View displays the selected images in a view that enables the user to gather various images into a single TIFF-file in color or black/white.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Statusbar

The Statusbar contains information about the application flow, information about the image format, a trackbar to show long running processes, and the current date and time.

  • the Statusbar contains an information block as the first part of the line. Within this information block messages are issued, which inform about successful or non-successful progress. Each message is labeled with one of these Icons: Information (information message), Warning (warning message) or Error (error message).
  • the second part of the line consists of seven fields containing information about the image format of the application window.
    • the first field contains the mouse position as long as the mouse is over the form
    • the second field contains the color information (RGB; Red, Green, Blue) of the pixel, the mouse is over
    • the third field contains the current display factor in percent of the image size
    • the forth field contains the number of pixel in the image in "width x height"
    • the fifth field contains the color depth of the image
    • the sixth field contains the resolution of the image in number of dots-per-inch (dpi)
    • the seventh field contains the size of the opened image file in kilobyte (KB), megabyte (MB) or gigabyte (GB) or the size of the scanned image until it is saved
  • the third part of the line contains the trackbar.
  • the forth part of the line contains the current date and time.

Information in the Statusbar are renewed, if a different application window is activated.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Menue File

Menue 'file' contains functions that can be used in this application window.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Scan image

'Scan image' starts the image scan. If options is set to 'Display Options before Scanning' then the 'Scanning Options' dialog is displayed, which can be used to setup the Type of Scan (Black/White, Grayscale or Color), the Resolution, the Brightness and Contrast of the scanned image.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Open image

'Open image' opens an existing file in image-format. The 'file open' dialog allows to select the file to be opened.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Open thumbnails

'Open thumbnails' opens the application window for displaying images in the Thumbnail-view.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Open description

'Open Description' opens a file in the DSC-Format. The 'file open' dialog allows to select the DSC-file to be opened.

The button 'Open Description' is a split-button. Pressing the left side of the button shows the 'File open' dialog for selecting the file in the DSC-format. Pressing the right side of the button offers the Description file for opening, whose name consists of the name of the opened image followed by the extension '.DSC'. In the presented list shown thereafter you can select this filename. If this file does not yet exist, it is treated as new and will then be be saved.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Save image

'Save image' saves an available image into a file in a image-format.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Save image as

'Save image as' saves an available image into an image-format. The 'File save as' dialog allows to define the file name.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Save description

'Save description' saves an available description into a file in the DESC-format.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Save description as

'Save description as' saves an available description into a file in the DESC-format. The 'File save as' dialog allows to define the file name.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Build Image with Description overlay

'Build Image with Description overlay' allows to generate an image with the information of the .DSC file overlaid.

The image overlaid with the .DSC file information is displayed within a new window and can be saved via the 'File save as' dialog.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Print setup

'Print setup' allows the printer settings.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Print preview

'Print preview' displays a window showing the page in the way it is to be printed.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Print

'Print' allows to select the printer in the printer-dialog and then prints the page.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Print immediate

'Print immediate' prints the page on the previously selected printer.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Close

'Close' closes the current application window.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Select Scan Source

'Select Scan Source' allows selecting the desired scanner if several scanners are connected.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


recently used files

'recently used files' allows the selection of a previously opened file for opening.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Exit

'Exit' closes all open application windows and then terminates the application. On changes within an application window the application asks whether a changed image-file is to be saved and wether a changed DESC-file is to be saved before termination.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Menue Edit

Menue 'edit' contains functions that can be used in this application window.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Undo

'Undo' is active as soon as changes are applied to an image. The button is a split-button. Pressing the left side of the button reverts the change of the last action. Pressing the left side again reverts the change of the last action before.

Pressing the right side of the button shows the applied changes in a list. In this list the individual changes can be reverted together one after the other. Thus, selecting the second entry of the list reverts the last two changes, selecting the third entry of the list reverts the last three changes, etc.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Redo

'Redo' is active as soon as changes are applied to an image and these changes were completely or partly reverted.

The button is a split-button. Pressing the left side of the button redoes the last reverted change of the last action. Pressing the left side again redoes the reverted change of the last action before.

Pressing the right side of the button shows the applied reverted changes in a list. In this list the individual changes can be redone together one after the other. Thus, selecting the second entry of the list redoes the last two reverted changes, selecting the third entry of the list redoes the last three reverted changes, etc.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Select all/Unselect all

'Select all' selects the complete image for further processing.

Then function 'Unselect all' is activated to allow removal of the selection..

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Cut

'Cut' cuts the selected area of the image, i.e. the selected area of the image is removed.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Copy

'Copy' copies the selected area of the image into the clipboard.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Clip

'Clip' clips the image to the selected area.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Paste

'Paste' pastes an the image from the clipboard into a new application window.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


View larger

'View larger' enlarges the image view in the application window to a multiple of 1 1/2 of the current size.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


View smaller

'View smaller' reduces the image view in the application window to 2/3 of the current size.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


View in original size

'View in original size' enlarges or reduces the image view in the application window to the original size of the image.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


View in window size

'View in window size' enlarges or reduces the image view in the application window to the window size of the application window.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Reduce/Enlarge image

'Reduce/Enlarge image' enlarges or reduces the image by the factor to be specified. The dialog 'Resize image' is displayed next. You can select a 'Resize factor' to be applied to the width and height of the image, or you can specify a width and a height explicitly. Interpolation can be done using one of three kinds, the 'bicubic' kind gives the best results.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Rotate image

'Rotate image' rotates the image in the application window.

After the selection of 'Rotate image' it is possible to rotate the image by 90°, by 180°, by 270° clockwise and to mirror the image 'top/down' and 'left/right'.

Using the selection 'Degrees (° clockwise) enables the input field in the Toolbar. By entering a value in this field and pressing the enter key the image is rotated by the specified value. By pressing the up/down keys of this field the image is rotated by the specified value.

The button in the Toolbar is a split-button. Pressing the left side of the button makes a 90° clockwise rotation, pressing the right side of the button shows the list of possible rotations which allows the selection of the desired rotation.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Gray scale

'Gray scale' reduces a colored image to its gray scale values and displays it in gray scale.

In the menue you can select 'Gray scale' or 'Black/White'.

Using 'Gray scale' reduces the image to its gray scale values, using 'Black/White' reduces the image to its black and white values

The button in the Toolbar is a split-button. Pressing the left side of the button reduces the image to its gray scale values, pressing the right side of the button allows the selection of 'Gray scale' or 'Black/White' from the list.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


HSL Color Space

'HSL Color Space' allows you to modify the color information of the image.

After selection of 'HSL Color Space' in the menue you can select 'Brightness', 'Contrast', 'Saturation', 'Hue', 'Gamma' or 'HSL Filtering'. Each of these possibilities displays a new dialog, which can be used to influence the selected attribute.

If 'HSL Color Space' in the menue is selected, the attributes 'Brightness', 'Contrast', 'Saturation', 'Hue', 'Gamma' are displayed in a dialog, where they can be influenced individually.

The button in the Toolbar is a split-button. Pressing the left side of the button displays the dialog 'HSL Color Space', in which the attributes 'Brightness', 'Contrast', 'Saturation', 'Hue', 'Gamma' can be influenced individually. Pressing the right side of the button displays a list of possible attributes 'Brightness', 'Contrast', 'Saturation', 'Hue', 'Gamma' or 'HSL Filtering', which can be used to select one of the possibilities.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Open images

'Open images' opens (an) existing file(s) in image-format. The 'file open' dialog allows to select the file(s) to be opened. Images contained in the individual file(s) are then displayed in the Thumbnail-view.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Open folder

'Open folder' opens an existing folder and reads the files in image-format. The 'folder open' dialog allows to select the folder to be opened. Images contained in the individual files are then displayed in the Thumbnail-view.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Transfer open images

'Transfer open images' transfers each image which is opened in the application window 1 into the Thumbnail-view of the application window 2.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Save multipage-Tiff (Color) as

'Save Multipage-Tiff (Color) as' saves the selected images of the Thumbnail-view into a TIFF-file and keeps the color information of the individual images. Each of the selected images will be an individual page of the multipage-TIFF file-format.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Add multipage-Tiff (Color) to

'Add Multipage-Tiff (Color) to' adds the selected images of the Thumbnail-view into an existing TIFF-file and keeps the color information of the individual images. Each of the selected images will be an individual page of the multipage-TIFF file-format. The existing TIFF-file can have one single image or multiple images in a multipage-TIFF-format. Each added image will be a new page of the multipage-TIFF format.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Save multipage-Tiff (Black/White) as

'Save Multipage-Tiff (Black/White) as' saves the selected images of the Thumbnail-view into a TIFF-file and reduces the color information of the individual images to Black and White. Each of the selected images will be an individual page of the multipage-TIFF file-format.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Add multipage-Tiff (Black/White) to

'Add Multipage-Tiff (Black/White) to' adds the selected images of the Thumbnail-view into an existing TIFF-file and reduces the color information of the individual images to Black and White. Each of the selected images will be an individual page of the multipage-TIFF file-format. The existing TIFF-file can have one single image or multiple images in a multipage-TIFF-format. Each added image will be a new page of the multipage-TIFF format.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Options

'Options' allows you to select and enter optional information.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Program Options

'Program Options' displays a dialog which enables you to select or modify various 'Program Options'.

Related Topics

  • Trace Options
  • Thumbnail Size
  • Assignment


Program Licencing

'Program Licencing' displays a dialog which enables you to licence the program.

Related Topics

  • Licence Data
  • Licencing
  • Licence Functions


Display Options before Scanning

'Display Options before Scanning' can be on or off. If it is 'on', then the 'Scanning Options' dialog is displayed directly before scanning, which can be used to setup the Type of Scan (Black/White, Grayscale or Color), the Resolution, the Brightness and Contrast of the scanned image. If it is 'off' the dialog is not displayed, scanning will be done using the recent setup parameter.

Related Topics

  • Scan image


Window

'Window' allows you to arrange the open windows, the active window can be closed, or an open window can be activated.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Arrange

'Arrange' allows you to arrange the open windows.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Menü Window - Overlapping

Arranges the non-minimized windows overlapping.


Menü Window - Tile horizontal

Arranges the non-minimized windows horizontal.


Menü Window - Tile vertical

Arranges the non-minimized windows vertical.


Menü Window - Arrange symbols

Arranges the minimized windows from left to right in the main application window.


Open windows

'Open windows' contains all open windows in a list. The active window is marked. Selecting another open window sets the selected window as active window.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Language

'Language' allows you to display or change the active language of the program surface. A change in language may require a restart of the application to assure that all elements are displayed in the selected language.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Language English

'Language' allows you to display or change the active language of the program surface. A change in language may require a restart of the application to assure that all elements are displayed in the selected language.

Related Topics

  • Language English
  • Language German


Language German

'Language' allows you to display or change the active language of the program surface. A change in language may require a restart of the application to assure that all elements are displayed in the selected language.

Related Topics

  • Language English
  • Language German


Help

'Help' displays information about this application, this help and further information.

Related Topics

  • the Titlebar
  • the Menuebar
  • the Toolbars
  • the Window for displaying the Form
  • the Window for displaying and entering Information for filling the Form
  • the Window for displaying images in the Thumbnail-View


Storage options

The toolbar of the form view contains a button which is used to invoke the 'storage options' dialog.

After pressing the 'storage options' button, the dialog is displayed non-modal.

In this dialog you can set up adjustments for storing of images in various image-formats.

On the left side select the name of the image-format in the tree. On the right side the possible options for the selected image-format are displayed.. In the column below 'use Option' check the checkbox of the desired option. Then enter the desired 'value' on the right side.


Page selection

The toolbar of the form-view has a possibility for page selection in multipage-TIFF-files and .pdf-files, which can have several images within one file.

If there are several images within a file, you can use the Up/Down-Buttons to show the next/previous image of the file.


Thumbnail size

The toolbar of the Thumbnail view contains a trackbar, which is set to the default value or to the value set up in the 'Program Options Thumbs' dialog. In this toolbar you can set up the thumbnail size for this application window individually.

Changing the thumbnail size within this toolbar influences the active application window only.

Related Topics

  • Thumbnail Size


Select images in thumbnail view

In the Thumbnail view you have already opened some images and displayed them as Thumbnails.

Scroll to the right/down until the first desired image is contained in the thumbnail view.

Pressing the left mouse button over the first thumbnail selects the first image.

Now there are two possible actions:

  • Pressing the left mouse button while holding down the Control-key selects another image.

  • Pressing the left mouse button and holding down the Shift-key selects all images from the first up to the last selected image.

Then you can 'Save' the selected images in multipage-TIFF-format into a TIFF file or 'Add' the selected images in multipage-TIFF-format to an existing TIFF file.


Scan images and create a multipage TIFF-file

Option 'Display Options before Scanning'

is used to display the scanning options before scanning.

The image is scanned.

A second image is scanned. Scanning options are adjusted to color and higher resolution.

The image is scanned.

The button 'Open thumbnails'

opens the Thumbnail-view.

The button 'Transfer open images'

takes the scanned images into the thumbnail-view. Then the images are selected.

The button 'Save Multipage-Tiff (Color) as' can be used to store the images into a single TIFF-file. Each individual image is stored as a frame. Thus each image can have a different color information, each individual image has a different resoluton.


Licence Data

'Licence Data' is a dialog for entering information to enable you to licence the program.

Related Topics

  • Licence Data
  • Licencing
  • Licence Functions


Licence Functions

'Licence Functions' displays a dialog showing information about licenced functionds of the program.

Related Topics

  • Licence Data
  • Licencing
  • Licence Functions


Licencing

'Licencing' displays a dialog showing information to licence the program.

Related Topics

  • Licence Data
  • Licencing
  • Licence Functions


Program Options Assignment

'Program Options Assignment' displays a dialog which enables you to setup the assignment of files to this application.

Program Options Assignment

The checkbox contained in 'File Assignment' can be set to checked, if .DSC files should be assigned to this application, i.e. on double-clicking a .DSC-file this application will be started.

Related Topics

  • Trace Options
  • Thumbnail Size
  • Assignment


Program Options Thumbs

'Program Options Thumbs' displays a dialog which enables you to modify the Thumb size.

Program Options Thumbs

The 'Thumbnail Size' trackbar enables you to specify a thumbnail size from 1 up to 10. The larger this value, the larger the thumbnails are in the display of the application window.

The 'Thumbnail Viewing' checkbox enables you to include images in the display from subfolders, if it is checked.

Related Topics

  • Trace Options
  • Thumbnail Size
  • Assignment


Program Options Trace

'Program Options Trace' displays a dialog which enables you to modify 'Trace Options'.

Program Options Trace

The 'Level' combobox allows to select the amount of Trace-messages to be written. The higher the level, the more messages will be written into the Trace-file. As a default the level is set to 'Level 0'.

In the 'Path for Trace-Files' textbox is contained the path-name for storing the Trace-files. As a default, the temporary directory is used.

The button 'Delete Files' deletes the existing Trace-files from the dselected directory.

The button 'Select Directory' display the 'Directory Search' dialog, which is used to select the directory for storing the Trace-files.

Related Topics

  • Trace Options
  • Thumbnail Size
  • Assignment